Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.roi
Class ROIStatistics

    java.lang.Object
      |
      +--com.vistech.roi.ROIStatistics

All Implemented Interfaces:
  java.io.Serializable

public class ROIStatistics
extends java.lang.Object
implements java.io.Serializable

Holds values of the statistics computed for a pixel sample.

Version:
  1.0 3 Oct 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Field Summary
`protected double` | `area`
`protected double` | `max`
`protected double` | `mean`
`protected double` | `min`
`protected double` | `stdDev`

Constructor Summary
`ROIStatistics(double min, double max, double mean, double area, double stdDev)`

Method Summary
`double` | `getArea()` Returns the area.
`double` | `getMax()` Returns the maximum value.
`double` | `getMean()` Returns the mean value.
`double` | `getMin()` Returns the minimum value.
`double` | `getStdDev()` Returns the standard deviation.
`void` | `setStats(double min, double max, double mean, double area, double stdDev)` Sets the statistics values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    protected double min

### max

    protected double max

### mean

    protected double mean

### area

    protected double area

### stdDev

    protected double stdDev

Constructor Detail

### ROIStatistics

    public ROIStatistics(double min,
                         double max,
                         double mean,
                         double area,
                         double stdDev)

  Parameters:
    `min` - the minimum value.
    `max` - the maximum value.
    `mean` - the mean value.
    `area` - the area.
    `stdDev` - the standard deviation.

Method Detail

### setStats

    public void setStats(double min,
                         double max,
                         double mean,
                         double area,
                         double stdDev)

  Sets the statistics values
  Parameters:
    `min` - the minimum value.
    `max` - the maximum value.
    `mean` - the mean value.
    `area` - the area.
    `stdDev` - the standard deviation.

### getMin

    public double getMin()

  Returns the minimum value.
  Returns:
    the minimum value.

### getMax

    public double getMax()

  Returns the maximum value.
  Returns:
    the maximum value.

### getMean

    public double getMean()

  Returns the mean value.
  Returns:
    the mean value.

### getArea

    public double getArea()

  Returns the area.
  Returns:
    the area.

### getStdDev

    public double getStdDev()

  Returns the standard deviation.
  Returns:
    the standard deviation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD